Package org.opensaml.saml.metadata.resolver

# Interface RoleDescriptorResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `Resolver<RoleDescriptor,CriteriaSet>`

All Known Implementing Classes:
  `PredicateRoleDescriptorResolver`

public interface RoleDescriptorResolver extends Resolver<RoleDescriptor,CriteriaSet>, IdentifiedComponent
A resolver that is capable of resolving `RoleDescriptor` instances which meet certain supplied criteria. At a minimum, a `RoleDescriptorResolver` implementation MUST support the following criteria:

- `EntityIdCriterion`
- `EntityRoleCriterion`

Implementations SHOULD also support the following criteria when possible:

- `ProtocolCriterion`
- `BindingCriterion`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRequireValidMetadata()`
Gets whether the metadata returned by queries must be valid.
`void`
`setRequireValidMetadata(boolean requireValidMetadata)`
Sets whether the metadata returned by queries must be valid.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### isRequireValidMetadata

boolean isRequireValidMetadata()
Gets whether the metadata returned by queries must be valid. At a minimum, metadata is valid only if the date expressed in the element, and all its ancestral element's, validUntil attribute has not passed. Specific implementations may add additional constraints.

Returns:
  whether the metadata returned by queries must be valid

### setRequireValidMetadata

void setRequireValidMetadata(boolean requireValidMetadata)
Sets whether the metadata returned by queries must be valid.

Parameters:
  `requireValidMetadata` - whether the metadata returned by queries must be valid